Results 1 to 2 of 2

Thread: AppArmor trouble

  1. #1
    Join Date
    Nov 2010
    Location
    /Earth/Asia/India
    Beans
    218
    Distro
    Ubuntu 14.04 Trusty Tahr

    Exclamation AppArmor trouble

    When i run aa-status / apparmor_status , I get this :
    apparmor module is loaded.
    You do not have enough privilege to read the profile set.
    I have installed apparmor-profiles and apparmor-utils
    I have pf kernel 3.9.2 installed.

    Anyone has any workarounds ?
    I tried downloading apparmor 2.8 source code but got strange errors while compiling it
    I have attached the error file below :
    error.txt
    Last edited by ranger1021994; May 19th, 2013 at 04:52 AM.
    Kids, you tried your best and you failed miserably. The lesson is, never try.
    -Homer Simpson

  2. #2
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: AppArmor trouble

    What are the the permissions on the apparmor profiles? on my systems the permissions are 644, which means I can read them as a normal user, but edit them. If you need to edit the profiles, press Alt-F2 and type:

    Code:
    gksu gedit <profile_name>
    where profile_name = for example lightdm-guest-session

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •